<?xml version="1.0" encoding="UTF-8"?>
<assembly>
    <id>package</id>
    <formats>
        <format>zip</format>
        <format>tar.gz</format>
    </formats>
    <includeBaseDirectory>true</includeBaseDirectory>

    <dependencySets>
        <dependencySet>
            <useProjectArtifact>true</useProjectArtifact>
            <useProjectAttachments>true</useProjectAttachments>
            <outputDirectory>lib</outputDirectory>
            <scope>runtime</scope>
        </dependencySet>
    </dependencySets>
    <fileSets>
        <fileSet>
            <directory>src/main/build/bin</directory>
            <includes>
                <include>start.bat</include>
                <include>start.sh</include>
            </includes>
            <filtered>true</filtered>
            <fileMode>0744</fileMode>
            <outputDirectory>/</outputDirectory>
        </fileSet>
        <fileSet>
            <directory>src/main/resources/config</directory>
            <filtered>true</filtered>
            <includes>
                <include>*.yml</include>
                <include>/*/*</include>
            </includes>
            <outputDirectory>/config</outputDirectory>
        </fileSet>
        <fileSet>
            <directory>src/main/resources/i18n</directory>
            <outputDirectory>/</outputDirectory>
        </fileSet>
    </fileSets>
</assembly>